import {CustomJoke} from "../../model/CustomJoke";
import {SampleJoke} from "../../model/SampleJoke";

export enum ActionType {
  FETCH_JOKES = 'FETCH_JOKE',
}

interface actionFetch {
  type: ActionType.FETCH_JOKES;
  payload: (CustomJoke | SampleJoke)[];
}

export type Action = actionFetch;

export const setJokesList = (jokesList: (CustomJoke | SampleJoke)[]) => {
  return {
    type: ActionType.FETCH_JOKES,
    payload: jokesList,
  };
}