import {CustomJoke} from "../../model/CustomJoke";
import {SampleJoke} from "../../model/SampleJoke";
import {Action} from "redux";
import {ActionType} from "../actions/JokeAction";

interface State {
    jokes: (CustomJoke | SampleJoke)[];
    favoriteJokes: (CustomJoke | SampleJoke)[],
}

const initialState = {
    jokes: [],
    favoriteJokes: [],
}

const appReducer = (state: State = initialState, action: Action) => {
    switch (action.type) {
        case ActionType.FETCH_JOKES:
            // @ts-ignore
            return {...state, jokes: action.payload};
        //case ActionType....
        default:
            return state;
    }
}

export default appReducer;